CSM and ASA firmware 8.3

Unanswered Question
Jun 2nd, 2010

Can someone explain how to make CSM work with newer versions of the ASA firmware releases.

I have upgraded the version to 3.3.1 service pack 1 and under the target os version does not show anything for the 8.3 product line.

It also doesn't show anything newer that 8.0(3) when we are running 8.0(4) and 8.0(5) on some of our firewalls. The same applies to the 8.2 release kit - yes I know I need to align all the firewalls on the same platform for ease of use.

If I check in the ciscoworks side (CSM Tools -> Device OS Managment -> Software repositry) then the 8.0(5) firmware is visible...

Rather puzzled by this and not sure the best way to go.


I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Panos Kampanakis Wed, 06/02/2010 - 17:20

CSM 3.3 does not support ASA 8.3. 8.3 has many systax changes so I would not suggest using CSM 3.2 or 3.3 for ASA 8.3

Next CSM version will do soon.

I hope it clarifies it.


bgl-group Thu, 06/03/2010 - 00:40

Ok two questions then.

1. Is there a planned release date for the new version so we can upgrade the firewalls (will this be a free upgrade or a paid for one?)

2. Is it possible to upgrade the supported firmware in the 3.3.1 version i.e. have it understand 8.0.5 or 8.2.2 firmware levels?



Panos Kampanakis Thu, 06/03/2010 - 14:00

1. I don't have the exact date, but it will be soon (this summer if I am not mistaken).

2. CSM 3.3.1 does support ASA 8.0 and 8.2 so it should be fine.

I hope it helps.



This Discussion

Related Content